Skip to main content
GET
/
api
/
v1
/
youtube
/
uploads
List uploads
curl --request GET \
  --url https://quizquail.com/api/v1/youtube/uploads \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "progress": 123,
      "title": "<string>",
      "description": "<string>",
      "tags": [
        "<string>"
      ],
      "category_id": "<string>",
      "visibility": "public",
      "made_for_kids": true,
      "youtube_video_id": "<string>",
      "youtube_video_url": "<string>",
      "error_message": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z",
      "scheduled_for": "2023-11-07T05:31:56Z",
      "retry_count": 123,
      "next_retry_at": "2023-11-07T05:31:56Z",
      "quiz_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "render_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "youtube_channel_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "hasMore": true,
    "total": 123
  }
}

Authorizations

Authorization
string
header
required

API key authentication. Prefix your key with Bearer in the Authorization header.

Keys follow the format qq_... and can be scoped to specific permissions.

Query Parameters

cursor
string

Pagination cursor from a previous response

limit
integer
default:20

Number of items per page (1-100, default 20)

Required range: 1 <= x <= 100
quizId
string<uuid>

Filter by quiz ID

status
string

Filter by status

Response

200 - application/json

Paginated list of uploads

data
object[]
required
pagination
object
required